<?php
/*
Plugin Name: ClickBook Customer Scheduler
Plugin URI:
Description: ClickBook Customer Scheduler Widget
Version: 1.0
Author:
Author URI:

ClickBook Customer Scheduler Widget
*/
add_action('widgets_init', 'clickbook_customer_scheduler_widgets_init');
function clickbook_customer_scheduler_widgets_init() {
    register_widget('clickbook_customer_scheduler_widget');
}

class clickbook_customer_scheduler_widget extends WP_Widget {
	function __construct() {
		parent::__construct('clickbook_customer_scheduler_widget', 'ClickBook Customer Scheduler Widget', array('description' => 'A Book Now button that launches the ClickBook Customer Booking Widget.'));
	}

	public function widget( $args, $instance ) {
		$title = apply_filters('widget_title', $instance['title']);
		$uid = $instance['uid'];

		echo $args['before_widget'];
		echo '<script type="text/javascript" src="https://www.ClickBook.net/dev/bc.nsf/cb_mode1.js?Open&title='.$title.'&type=button&uid='.$uid.'"></script>';
		echo $args['after_widget'];
	}

	public function form($instance) {
		if(isset($instance['title'])) {
			$title = $instance['title'];
		} else {
			$title = 'ClickBook Customer Scheduler';
		}
		$uid = '';
		if(isset($instance['uid'])) {
			$uid = $instance['uid'];
		}
		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label> 
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>">
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('uid'); ?>"><?php _e('ClickBook Subdomain:'); ?></label> 
			<input class="widefat" id="<?php echo $this->get_field_id('uid'); ?>" name="<?php echo $this->get_field_name('uid'); ?>" type="text" value="<?php echo esc_attr($uid); ?>">
		</p>
		<?php 
	}

	public function update($new_instance, $old_instance) {
		$instance = array();
		$instance['title'] = (!empty($new_instance['title']))?strip_tags($new_instance['title']):'';
		$instance['uid'] = (!empty($new_instance['uid']))?strip_tags($new_instance['uid']):'';
		return $instance;
	}
}
?>